- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::GpuLogicalIndexUse Struct Reference

Structure recording the use of a physical buffer by a logical parameter index. More...

`#include <OgreGpuProgram.h>`

List of all members.

## Public Member Functions
| GpuLogicalIndexUse (size_t bufIdx, size_t curSz)
## Public Attributes
size_t | physicalIndex
| Physical buffer index.
size_t | currentSize
| Current physical size allocation.

## Detailed Description

Structure recording the use of a physical buffer by a logical parameter index.

Only used for low-level programs.

Definition at line 172 of file OgreGpuProgram.h.

## Constructor & Destructor Documentation

Ogre::GpuLogicalIndexUse::GpuLogicalIndexUse | ( | size_t | bufIdx,
|  | size_t | curSz |
| ) |  |  |

Definition at line 179 of file OgreGpuProgram.h.

## Member Data Documentation

size_t Ogre::GpuLogicalIndexUse::physicalIndex

Physical buffer index.

Definition at line 175 of file OgreGpuProgram.h.

size_t Ogre::GpuLogicalIndexUse::currentSize

Current physical size allocation.

Definition at line 177 of file OgreGpuProgram.h.

The documentation for this struct was generated from the following file:

- OgreGpuProgram.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:49:47 2008